summaryrefslogtreecommitdiff
path: root/user/nfs-utils/rpc.idmapd.initd
diff options
context:
space:
mode:
Diffstat (limited to 'user/nfs-utils/rpc.idmapd.initd')
-rw-r--r--user/nfs-utils/rpc.idmapd.initd25
1 files changed, 25 insertions, 0 deletions
diff --git a/user/nfs-utils/rpc.idmapd.initd b/user/nfs-utils/rpc.idmapd.initd
new file mode 100644
index 000000000..61cfd4de2
--- /dev/null
+++ b/user/nfs-utils/rpc.idmapd.initd
@@ -0,0 +1,25 @@
+#!/sbin/openrc-run
+# Copyright 1999-2008 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+[ -e /etc/conf.d/nfs ] && . /etc/conf.d/nfs
+
+rpc_bin=/usr/sbin/rpc.idmapd
+
+depend() {
+ use ypbind net
+ need portmap rpc.pipefs
+ after quota
+}
+
+start() {
+ ebegin "Starting idmapd"
+ ${rpc_bin} ${OPTS_RPC_IDMAPD}
+ eend $? "make sure DNOTIFY support is enabled ..."
+}
+
+stop() {
+ ebegin "Stopping idmapd"
+ start-stop-daemon --stop --exec ${rpc_bin}
+ eend $?
+}